# 2m2d

### What?
2 much 2 do (AKA: tmtd part 2)

### Why?
Created because [the original tmtd](https://git.karx.xyz/c4TG1RL5_UN1T3D/tmtd) shows no signs of being production ready any time soon.

### How?
This project requires a running PostgreSQL database. Read [the ArchWiki entry for more info](https://wiki.archlinux.org/title/PostgreSQL).

Then, see `sample_config.toml` and provide the required values. 

After that, it's just a simple `cargo run`. The `TMTD_CONFIG` environment variable can be used to specify a custom config path, otherwise, 2m2d defaults to using `./config.toml`.

Make sure you're running the project from the top level, otherwise 2m2d will not be able to find templates and static files.

### When?

2m2d will probably be hosted once we get around to styling all the forms and adding a `+ Create` button to the homepage. 

### Who?

Currently just me developing it right now, but everyone should feel free to contribute! Make a pull request or send a patch to [my email](mailto:yash@karx.xyz).

